Bug 151509 - Good: touch pad is not recognized on toshibal satellite A70
Good: touch pad is not recognized on toshibal satellite A70
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 15:05 EST by Homayoun Shahri
Modified: 2013-03-06 00:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Homayoun Shahri 2005-03-18 15:05:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
The touchpad on this laptop (toshiba satellite A70) is not recognized during or after the installation. The only work around is to disable support for legacy usb devices in bios. But this causes reboot failure, in other words reboot never displays the bios screen after unmounting things. Shutdown works though. 
This bug did not exist in 2.4.22+ kernels and only shows up when running 2.6+ kernels. Sounds like an issue with the mouse driver. A suggestion was made to compile the psmouse as module and then load at the very end. But I have not verified it. 

Version-Release number of selected component (if applicable):
kernel-2.6.9-5.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot the machine with support for legacy usb devices enabled in bios
2.
3.
  

Actual Results:  touchpad is not recognized

Expected Results:  touchpad should have been functional

Additional info:
Comment 1 Suzanne Hillman 2005-03-22 13:21:06 EST
Please disable legacy usb device in bios again.

[note: the following instructions presume the use of grub as a bootloader]

After you've done this, when you get to the grub kernel selection screen, please
move to the kernel you want to be using (2.6.8-5.EL, I would imagine), and type
'a' to add text to the kernel line in question. 

Enter "reboot=[letter]". Instead of '[letter], however, you will want to use one
of 'w', 'c', 'b', or 'h'.

'w' will cause rebooting from the kernel with that added to its commandline to
use a 'warm' reboot, which does not test memory or other similar pre-booting
type behaviors.
'c' will cause the use of a 'cold' reboot, which will do the memory testing and
other pre-booting behaviors which are skipped with a 'warm' reboot.
'b' will cause the use of a 'bios' reboot, which will jump through the BIOS as
part of the reboot process.
'h' will cause the use of a 'hard' reboot, by toggling RESET or crashing the CPU
(not a terribly nice sounding reboot method, I'd think).

One of these should solve your problem. Once you figure out which one does what
you want it to, please edit your /etc/grub.conf file and add the appropriate
"reboot=[letter]" piece to the kernel line.
Comment 2 Homayoun Shahri 2005-03-22 14:11:52 EST
Thank you for the suggestion. However, I have tried all the above reboot options
from grub (before filing this bug), but reboot still fails. Eventhough I am
pretty sure I have tested warm, cold, bios, and hard, I will try these one more
time to make sure I have not missed anything, and will report the results.
Comment 3 Homayoun Shahri 2005-03-22 14:46:40 EST
Also when I did man bootparam:
reboot=[warm|cold][,[bios|hard]]’
       (Only  when  CONFIG_BUGi386  is defined.)  Since 2.0.22 a reboot is by
       default  a  cold  reboot.   One  asks  for  the   old   default   with
       ‘reboot=warm’.   (A cold reboot may be required to reset certain hard-
       ware, but might destroy not yet written data in a disk cache.  A  warm
       reboot  may  be  faster.)   By default a reboot is hard, by asking the
       keyboard controller to pulse the reset line low, but there is at least
       one   type   of  motherboard  where  that  doesn’t  work.  The  option
       ‘reboot=bios’ will instead jump through the BIOS.

I get the above and I know that CONFIG_BUGi386 is not defined at least not in
.config. I am using kernel 2.6.9-5.EL. Does this matter? In other words I am not
sure if the above reboot parameters do anything.

Thanks.
Comment 4 Homayoun Shahri 2005-03-24 13:50:28 EST
I now have tested all 4 possibilities for kernel reboot parameters, namely, 'b',
'h', 'c', and 'w', and non work. So the current stat is that either I disable
the support for legacy usb-devices in bios, resulting in reboot failure, or the
touchpad is not recognized and does not work. By the way my cpu is p4-ht, and I
have tested both the single processor as well as the smp version of kernel.

Thanks.
Comment 5 Homayoun Shahri 2005-04-19 12:56:12 EDT
I finally got around building kernel 2.6.10 with psmouse as a module and then
loading it in rc.local, with support for legacy usb devices turned on in bios
(this used make touchpad not work). The touchpad was recognized and the laptop
reboots just fine. It seems that psmouse needs to be loaded after the usb
drivers, else the touchpad will not be recognized. Is there anyway to get the
sources to the latest kernel in RHEL-4? Thanks.
Comment 6 Jason Baron 2007-03-29 13:58:42 EDT
latest sources are at: http://people.redhat.com/~jbaron/rhel4/SRPMS.kernel/
Comment 7 Jiri Pallich 2012-06-20 09:29:00 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.